Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Write_Stream::Result Class Reference

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Write_Stream::Result

[legend]
Collaboration diagram for ACE_Asynch_Write_Stream::Result:

[legend]
List of all members.

## Public Methods
u_long | bytes_to_write (void) const
| The number of bytes which were requested at the start of the asynchronous write.
ACE_Message_Block& | message_block (void) const
| Message block that contains the data to be written.
ACE_HANDLE | handle (void) const
| I/O handle used for writing.
ACE_Asynch_Write_Stream_Result_Impl* | implementation (void) const
| Get the implementation class.
## Protected Methods
| Result (ACE_Asynch_Write_Stream_Result_Impl *implementation)
| Constrcutor.
virtual | ~Result (void)
| Destructor.
## Protected Attributes
ACE_Asynch_Write_Stream_Result_Impl* | implementation_
| Implementation class.
## Friends
class | ACE_POSIX_Asynch_Write_Stream_Result
class | ACE_WIN32_Asynch_Write_Stream_Result

## Constructor & Destructor Documentation

ACE_Asynch_Write_Stream::Result::Result ( | ACE_Asynch_Write_Stream_Result_Impl * implementation )`[protected]`

| Constrcutor.

ACE_Asynch_Write_Stream::Result::~Result ( | void )`[protected, virtual]`

| Destructor. Reimplemented in ACE_Asynch_Write_File::Result.

## Member Function Documentation

u_long ACE_Asynch_Write_Stream::Result::bytes_to_write ( | void ) const

| The number of bytes which were requested at the start of the asynchronous write.

ACE_HANDLE ACE_Asynch_Write_Stream::Result::handle ( | void ) const

| I/O handle used for writing.

ACE_Asynch_Write_Stream_Result_Impl * ACE_Asynch_Write_Stream::Result::implementation ( | void ) const

| Get the implementation class. Reimplemented from ACE_Asynch_Result. Reimplemented in ACE_Asynch_Write_File::Result.

ACE_Message_Block & ACE_Asynch_Write_Stream::Result::message_block ( | void ) const

| Message block that contains the data to be written.

## Friends And Related Function Documentation

class ACE_POSIX_Asynch_Write_Stream_Result`[friend]`

| The concrete implementation result classes only construct this class.

class ACE_WIN32_Asynch_Write_Stream_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Write_Stream_Result_Impl * ACE_Asynch_Write_Stream::Result::implementation_`[protected]`

| Implementation class. Reimplemented from ACE_Asynch_Result. Reimplemented in ACE_Asynch_Write_File::Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp